# Get all users

Fetches all users associated with the corporate or consumer identity the logged-in user belongs to.

Endpoint: GET /users
Version: v3
Security: auth_token, api-key

## Query parameters:

  - `offset` (integer)
    The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

  - `limit` (integer)
    The limit of the results for paging, starting at the offset. Limit is always capped at 100.

  - `active` (boolean)
    Filter for active or deactivated users. Leave out to fetch all users.

  - `email` (string)
    Filter by the email address of the user.

  - `tag` (string)
    Filter by the managed account/card tag. The exact tag must be provided, as wildcards are not supported. Leave out to fetch all managed accounts/card.

  - `roles` (array)
    Filter users by role. Multiple roles use OR logic.
    Enum: "CARD_ASSIGNEE", "CARDS_MANAGEMENT_ROLE", "FUNDS_MANAGEMENT_ROLE", "ACCESS_MANAGEMENT_ROLE", "ADMIN"

## Response 200 fields (application/json):

  - `users` (array)
    The list of users matching the criteria specified.

  - `users.id` (string, required)
    The unique identifier of the user.

  - `users.identity` (object, required)
    The identity that the user belongs to.

  - `users.identity.type` (string, required)
    Indicates the identity type.
    Enum: "CONSUMER", "CORPORATE"

  - `users.identity.id` (string, required)
    The identifier for the identity.

  - `users.name` (string, required)
    The first name of the user.

  - `users.surname` (string, required)
    The last name of the user.

  - `users.email` (string, required)
    E-mail Address of the user

  - `users.mobile` (object)

  - `users.mobile.countryCode` (string, required)
    The country code of the user mobile number (e.g. +44).

  - `users.mobile.number` (string, required)
    The mobile number of the user - excluding country code.

  - `users.active` (boolean, required)
    The state of the user. If the active attribute is false, then the user will not be able to log in.

  - `users.dateOfBirth` (object)
    Date of birth of the authorised user.

  - `users.dateOfBirth.year` (integer, required)

  - `users.dateOfBirth.month` (integer, required)

  - `users.dateOfBirth.day` (integer, required)

  - `users.tag` (string)
    The tag field is a custom field that can be used to search and filter.

  - `users.countryOfResidence` (string)

  - `users.locale` (string)
    BCP47 locale code (e.g. en, en-US). The locale determines which email and SMS user notification templates are used.

  - `users.brand` (string)
    Brand identifier used to determine the set of email and SMS user notification templates. Must be alphanumeric, up to 25 characters, and contain no spaces.

  - `users.roles` (array)
    Enum: "CARD_ASSIGNEE", "CARDS_MANAGEMENT_ROLE", "FUNDS_MANAGEMENT_ROLE", "ACCESS_MANAGEMENT_ROLE", "ADMIN"

  - `count` (integer)
    The total number of records (excluding the paging limit).

  - `responseCount` (integer)
    The total number of records returned in this response (always capped at 100).

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 403 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
